# Class PlotStiltsMonitor.PlotState

java.lang.Object
uk.ac.starlink.topcat.plot2.PlotStiltsMonitor.PlotState

All Implemented Interfaces:
  `StiltsMonitor.State`

Enclosing class:
  `PlotStiltsMonitor`

public static class PlotStiltsMonitor.PlotState extends Object implements StiltsMonitor.State
Defines the result of trying to serialize a PlotSpec to a STILTS command.

Since:
  12 Sep 2017
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`StyledDocument`
`getDocument()`
Returns a styled document displaying the stilts command, or possibly an error message.
`Throwable`
`getError()`
Returns the error produced when trying to generate a stilts executable from the serialized commmand, or null if it seemed to work OK.
`String`
`getText()`
Returns text of the command suitable for execution in a shell.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getText

public String getText()
Description copied from interface: `StiltsMonitor.State`
Returns text of the command suitable for execution in a shell.

Specified by:
  `getText` in interface `StiltsMonitor.State`
Returns:
  command text, not null

### getDocument

public StyledDocument getDocument()
Description copied from interface: `StiltsMonitor.State`
Returns a styled document displaying the stilts command, or possibly an error message.

Specified by:
  `getDocument` in interface `StiltsMonitor.State`
Returns:
  styled document, not null

### getError

public Throwable getError()
Description copied from interface: `StiltsMonitor.State`
Returns the error produced when trying to generate a stilts executable from the serialized commmand, or null if it seemed to work OK.

Specified by:
  `getError` in interface `StiltsMonitor.State`
Returns:
  throwable, or null